<?php

namespace App\Http\Controllers\Admin;

use App\Model\ExoneracionUsuario;
use Illuminate\Http\Request;
use App\Http\Controllers\Controller;
use Mockery\Exception;
use Yajra\Datatables\Datatables;

class ExoneracionController extends Controller
{
    public function postEditarUsuario(Request $request)
    {
        try
        {
            $tramite = $request->input('tramite');
            $id_usuario = $request->input('id_usuario');

            $model = new ExoneracionUsuario();
            $exoneracionUsuario = $model->where('id_usuario', '=', $id_usuario);
            $exoneracionUsuario2 = $exoneracionUsuario->first();

            if ($exoneracionUsuario2)
            {
                $exoneracionUsuario2['tramite'] = $tramite || $exoneracionUsuario->value('tramite');
                $exoneracionUsuario2->save();
            }
            else
            {
                $exoneracionUsuario = $model->create([
                    "tramite" => $tramite || null,
                    "id_usuario" => $id_usuario,
                ]);
            }

            return response()->json($exoneracionUsuario);
        }
        catch (Exception $e)
        {
            return response()->json(null);
        }
    }
}
